开发者社区> 问答> 正文

应用研发平台EMAS上我使用react native接入移动分析 按照接入文档 最后报错怎么办?

应用研发平台EMAS上我使用react native接入移动分析 按照接入文档 最后报错,我按照这个报错搜了很久,也没有什么进展,怎么办啊?
Could not resolve all dependencies for configuration ':emas_emas-appmonitor-perf:debugRuntimeClasspath'.
Using insecure protocols with repositories, without explicit opt-in, is unsupported. Switch Maven repository 'maven9(http://nexus-ce.emas-poc.com/repository/maven-public/)' to redirect to a secure protocol (like HTTPS) or allow insecure protocols. See https://docs.gradle.org/7.5/dsl/org.gradle.api.artifacts.repositories.UrlArtifactRepository.html#org.gradle.api.artifacts.repositories.UrlArtifactRepository:allowInsecureProtocol for more details. 06f44f2841366a2556aa72a8080ff00e.png

展开
收起
小小鹿鹿鹿 2024-01-10 01:05:36 34 0
2 条回答
写回答
取消 提交回答
  • 面对过去,不要迷离;面对未来,不必彷徨;活在今天,你只要把自己完全展示给别人看。

    这个报错信息表示在构建过程中,Gradle 无法解析所有的依赖项。要解决这个问题,你可以尝试以下方法:

    1. 确保你的网络连接正常,可以访问外部仓库。
    2. 检查你的 Gradle 配置文件(通常是 build.gradlesettings.gradle),确保仓库地址是正确的。将仓库地址从 HTTP 更改为 HTTPS,例如:
    repositories {
        maven { url 'https://nexus-ce.emas-poc.com/repository/maven-public/' }
    }
    
    1. 如果问题仍然存在,尝试清除 Gradle 缓存并重新构建项目。在命令行中执行以下命令:
    ./gradlew clean build --refresh-dependencies
    
    1. 如果以上方法都无法解决问题,可以考虑升级 Gradle 版本或者使用其他构建工具(如 Android Studio 的 Build Tools)进行构建。
    2024-01-13 18:07:50
    赞同 展开评论 打赏
  • 按照这个:
    https://help.aliyun.com/document_detail/435597.html?spm=a2c4g.435637.0.0.47d810d2ENQcm8
    。此回答来自钉群应用研发平台EMAS开发者交流群。

    2024-01-10 15:39:34
    赞同 展开评论 打赏
来源圈子
更多
收录在圈子:
基于阿里巴巴以及合作伙伴的最佳实践,围绕大前端、云原生领域的相关技术热点(小程序、Serverless、应用中间件、低代码、DevOps)展开行业探讨,与开发者一起探寻云原生时代应用研发的新范式。
相关文档: 移动研发平台
问答排行榜
最热
最新

相关电子书

更多
五天玩转EMAS Serverless 立即下载
EMAS平台全景介绍 立即下载
低代码开发师(初级)实战教程 立即下载